Imports Microsoft.VisualBasic
Imports System
Imports DevExpress.ExpressApp.Win.Editors
Imports DevExpress.ExpressApp.Model
Public Class DashboardViewerPropertyEditor
    Inherits WinPropertyEditor
    Public Sub New(ByVal objectType As Type, ByVal info As IModelMemberViewItem)
        MyBase.New(objectType, info)
        ControlBindingProperty = "DashboardViewerInfo"
    End Sub
    Private DashboardViewerUserControlCore As DashboardViewerUserControl = Nothing
    Public ReadOnly Property DashboardViewerUserControl() As DashboardViewerUserControl
        Get
            Return DashboardViewerUserControlCore
        End Get
    End Property
    Protected Overrides Function CreateControlCore() As Object
        DashboardViewerUserControlCore = New DashboardViewerUserControl()
        Return DashboardViewerUserControlCore
    End Function
    Protected Overrides Sub OnAllowEditChanged()
        MyBase.OnAllowEditChanged()
    End Sub
End Class
